<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.adealink.frame.image.view.NetworkImageView
        android:id="@+id/iv_bg"
        android:layout_width="match_parent"
        android:layout_height="@dimen/playmate_detail_header_height"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/playmate_detail_header_cover_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="375:142"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <!--基础信息 -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_user_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="12dp"
        app:layout_constraintBottom_toBottomOf="@id/iv_bg"
        app:layout_constraintStart_toStartOf="@id/iv_bg">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="18sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toStartOf="@id/v_gender"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="Super Beautiful Girl Super Beautiful Girl Super Beautiful Girl" />

        <com.adealink.weparty.module.profile.widget.GenderView
            android:id="@+id/v_gender"
            style="@style/CommonGenderView"
            android:layout_marginEnd="24dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_name"
            app:layout_constraintEnd_toStartOf="@id/v_barrier_end"
            app:layout_constraintStart_toEndOf="@id/tv_name"
            app:layout_constraintTop_toTopOf="@id/tv_name" />

        <!--位置-->
        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_location"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginTop="2dp"
            app:layout_constraintEnd_toStartOf="@id/tv_location"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="@id/tv_name"
            app:layout_constraintTop_toBottomOf="@id/tv_name"
            app:srcCompat="@drawable/common_location_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_location"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_regular"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FFC9CDD4"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/iv_location"
            app:layout_constraintEnd_toStartOf="@id/tv_user_id"
            app:layout_constraintStart_toEndOf="@id/iv_location"
            app:layout_constraintTop_toTopOf="@id/iv_location"
            tools:text="Jakarta TimurJakarta TimurJakarta Timur" />

        <!--用户ID-->
        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_user_id"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="13dp"
            android:fontFamily="@font/poppins_regular"
            android:includeFontPadding="false"
            android:textColor="@color/color_FFC9CDD4"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@id/tv_location"
            app:layout_constraintEnd_toStartOf="@id/iv_copy_user_id"
            app:layout_constraintStart_toEndOf="@id/tv_location"
            app:layout_constraintTop_toTopOf="@id/tv_location"
            tools:text="ID 12345678" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_copy_user_id"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="16dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_user_id"
            app:layout_constraintEnd_toStartOf="@id/v_barrier_end"
            app:layout_constraintStart_toEndOf="@id/tv_user_id"
            app:layout_constraintTop_toTopOf="@id/tv_user_id"
            app:srcCompat="@drawable/common_copy_id_ic" />

        <!--语言-->
        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_language"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginTop="2dp"
            app:layout_constraintStart_toStartOf="@id/tv_name"
            app:layout_constraintTop_toBottomOf="@id/iv_location"
            app:srcCompat="@drawable/common_language_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_language"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="16dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_regular"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FFC9CDD4"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/iv_language"
            app:layout_constraintEnd_toStartOf="@id/v_barrier_end"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/iv_language"
            app:layout_constraintTop_toTopOf="@id/iv_language"
            tools:text="Indonesia/English/中文/Indonesia/English/中文/Indonesia/English/中文" />

        <androidx.constraintlayout.widget.Barrier
            android:id="@+id/v_barrier_end"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:barrierDirection="start"
            app:constraint_referenced_ids="iv_evaluate_star" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_evaluate_star"
            android:layout_width="18dp"
            android:layout_height="18dp"
            app:layout_constraintBottom_toTopOf="@id/tv_order_count"
            app:layout_constraintEnd_toStartOf="@id/tv_evaluate"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed"
            app:srcCompat="@drawable/common_evaluate_star_selected_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_evaluate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="16dp"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:textColor="@color/white"
            android:textSize="18sp"
            app:layout_constraintBottom_toBottomOf="@id/iv_evaluate_star"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/iv_evaluate_star"
            tools:text="4.2" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:textColor="@color/white"
            android:textSize="11sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@id/tv_evaluate"
            app:layout_constraintStart_toStartOf="@id/iv_evaluate_star"
            app:layout_constraintTop_toBottomOf="@id/iv_evaluate_star"
            tools:text="订单120" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>